Bug 578299 - Only the locale chosen at build time available in SRPM package
Summary: Only the locale chosen at build time available in SRPM package
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-30 19:32 UTC by Göran Uddeborg
Modified: 2010-09-20 13:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-20 13:18:39 UTC
Type: ---


Attachments (Terms of Use)
The SRPM used in my tests. (394.97 KB, application/x-rpm)
2010-03-30 19:48 UTC, Göran Uddeborg
no flags Details

Description Göran Uddeborg 2010-03-30 19:32:37 UTC
Description of problem:
I made an RPM package with Swedish summary and description in addition to the default ones.  When building this in a fedora-12-x86_64 mock chroot, I get an SRPM where only the Swedish version of the description and summary seems to be present.

Version-Release number of selected component (if applicable):
rpm-build-4.7.2-1.fc12.x86_64


How reproducible:
Every time

Steps to Reproduce:
1. export LANG=sv_SE.utf8
2. mock -r fedora-12-x86_64 --rebuild mj-1.10-1.src.rpm
3. LANG=en_US.utf8 rpm -qip /var/lib/mock/fedora-12-x86_64/result/mj-1.10-1.fc12.src.rpm

Actual results:
Swedish summary and description from the third command.

Expected results:
English summary and description.

Additional info:
If I do it the other way around, build in an English locale and try to inspect the package in a Swedish locale, I get the English descriptions.

This only happens to the SRPM.  The binary RPM contains both locales, and the one chosen at inspection time is shown.

Comment 1 Göran Uddeborg 2010-03-30 19:48:35 UTC
Created attachment 403583 [details]
The SRPM used in my tests.

Comment 2 Göran Uddeborg 2010-03-30 20:13:57 UTC
If I run rpmlint on the package, I get a lot of complaints from the non-existent version.  That is, if the Swedish translation is included, I get complaints about the spellings in the English section, and vice versa.  I get the impression that there are indeed two versions of the description included in the package, but they both contain the same text.

Comment 3 Panu Matilainen 2010-04-01 06:32:46 UTC
Nod, this is an ages old issue. The header tag copy from main header to src.rpm wasn't using "raw" mode, causing any i18n strings in the header to be transformed into regular strings, translated to whatever happens to be the current locale. Fixed upstream now.

However note that for Fedora packages, you're not supposed to include translations in the package itself, translations should go to the "specspo" package.

Comment 4 Göran Uddeborg 2010-04-01 07:17:45 UTC
> However note that for Fedora packages, you're not supposed to include
> translations in the package itself, translations should go to the "specspo"
> package.

That's not what the packaging guidelines say: "Packages can contain additional translated summary/description for supported Non-English languages, if available."  (https://fedoraproject.org/wiki/Packaging:Guidelines#Summary_and_description)

Is the specspo package still updated?  I thought it was on it's way out.  It is still included in the release with its old translations.  But I wasn't aware there is any way to add translations to new packages.  Searching for it on http://translate.fedoraproject.org doesn't give me anything.

Comment 5 Göran Uddeborg 2010-09-20 13:18:39 UTC
With the F14 RPM, this problem has been fixed.


Note You need to log in before you can comment on or make changes to this bug.